summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThiago Marcos P. Santos <thiago@mapbox.com>2016-10-04 17:26:08 +0300
committerThiago Marcos P. Santos <tmpsantos@gmail.com>2016-10-05 11:12:16 +0300
commit5829c0dbc6e7785cec5af12891ba2ead784d1a69 (patch)
treec01a0f92e093316b44a23e0aac27ae38c5b538ce /scripts
parentdd604a7b3650617ab3fef81eef1a63fc28761396 (diff)
downloadqtlocation-mapboxgl-5829c0dbc6e7785cec5af12891ba2ead784d1a69.tar.gz
[build] Re-add benchmark tests to the buildsystem
Probably lost on the cmake migration
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/generate-benchmark-files.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/generate-benchmark-files.sh b/scripts/generate-benchmark-files.sh
new file mode 100755
index 0000000000..0fb274cf31
--- /dev/null
+++ b/scripts/generate-benchmark-files.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+echo "# Do not edit. Regenerate this with ./scripts/generate-benchmark-files.sh" > cmake/benchmark-files.cmake
+echo "" >> cmake/benchmark-files.cmake
+echo "set(MBGL_BENCHMARK_FILES" >> cmake/benchmark-files.cmake
+PREFIX=
+for FILE in $(git ls-files "benchmark/*.hpp" "benchmark/*.cpp" "benchmark/*.h" "benchmark/*.c" | sort) ; do
+ CURRENT_PREFIX=$(dirname ${FILE#benchmark/})
+ if [ "${PREFIX}" != "${CURRENT_PREFIX}" ]; then
+ if [ ! -z "${PREFIX}" ]; then echo "" >> cmake/benchmark-files.cmake ; fi
+ echo " # ${CURRENT_PREFIX}" >> cmake/benchmark-files.cmake
+ PREFIX="${CURRENT_PREFIX}"
+ fi
+ echo " ${FILE}" >> cmake/benchmark-files.cmake
+done
+echo ")" >> cmake/benchmark-files.cmake
+git diff cmake/benchmark-files.cmake